# vim: set ts=4 sw=4 et:
# Copyright (c) 2007-2009 Herbert Graeber
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to herbert@links2linux.de


Name:           dvbcut
Version:        0.6.1
Release:        4.1
Summary:        Graphical Frontend for cutting MPEG Videos
License:        GNU General Public License (GPL)
URL:            http://dvbcut.sourceforge.net/
Group:          Productivity/Multimedia/Video/Editors and Convertors
# http://www.mr511.de/dvbcut/dvbcut-%{version}.tar.gz
Source:         dvbcut-%{version}.tar.bz2
Source1:        %{name}.logo.16x16.png
Source2:        %{name}.logo.24x24.png
Source3:        %{name}.logo.48x48.png
Patch1:         dvbcut-helpdir.patch
Patch2:         dvbcut-disable_update_mime_database.patch
Patch3:         dvbcut-fix_libao.patch
Patch4:         dvbcut-0.6.1-gcc47.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-xml
BuildRequires:  qt3-devel
BuildRequires:  qt3-devel-tools
BuildRequires:  liba52dec-devel
BuildRequires:  ffmpeg_oldabi-devel
BuildRequires:  mad-devel
BuildRequires:  libao-devel
BuildRequires:  update-desktop-files
BuildRequires:  hicolor-icon-theme
Requires(post):   shared-mime-info
Requires(postun): shared-mime-info

%description
dvbcut is a Qt application that allows you to select certain parts of an MPEG transport
stream (as received via Digital Video Broadcasting) and save these parts into a single
MPEG output file. It follows a "keyhole surgery" approach where the input video and
audio data are mostly kept unchanged, and only very few frames at the beginning and/or
end of the selected range are re-encoded in order to obtain a valid MPEG file. 

%prep
%setup -q
%patch1
%__perl -ne 'print $1,"\n" if /^-{3}\s+(.+?)\s+\d{4}/' <"%{PATCH1}" | while read f; do
    %__perl -p -i -e 's,@@HELPDIR@@,%{_docdir}/%{name},g' "$f"
done
#'
%patch2
%patch3
%patch4 -p1

%build
%configure --with-qt3=/usr/lib/qt3 --with-ffmpeg=/usr
%__make %{?_smp_flags}

%install
%makeinstall
install -D %{S:1} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -D %{S:2} %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
install -D %{S:3} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%suse_update_desktop_file -c %{name} %{name} "DVB Video Editor" "dvbcut" %{name} Qt Video AudioVideo AudioVideoEditing

%post
/usr/bin/update-mime-database "%{_datadir}/mime" ||:

%postun
/usr/bin/update-mime-database "%{_datadir}/mime" ||:

%files
%defattr(-,root,root)
%doc README* ChangeLog COPYING CREDITS
%doc src/*.html
%{_bindir}/dvbcut
%doc %{_mandir}/man1/dvbcut.1%{ext_man}
%{_datadir}/applications/dvbcut.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png
%{_datadir}/dvbcut
%{_datadir}/mime/packages/dvbcut.xml

%changelog
* Sat May 19 2012 seife+obs@b1-systems.com
- fix build with gcc 4.7
* Wed Jan 18 2012 pascal.bleser@opensuse.org
- added libao fix crash for 12.1:
  http://dvbcut.svn.sourceforge.net/viewvc/dvbcut/trunk/src/playaudio.cpp?r1=58&r2=178
  (thanks to Jean Delvare for reporting)
* Sun Apr 24 2011 pascal.bleser@opensuse.org
- update to 0.6.1
* Fri Aug 13 2010 herbert@links2linux.de
- fix for even newer gcc
* Tue Nov 24 2009 herbert@links2linux.de
- fix for newer gcc
* Tue Oct  6 2009 herbert@links2linux.de
- use external ffmpeg
- add desktop file and icon
* Tue Oct  6 2009 herbert@links2linux.de
- update to version 0.6.0
- remove all patches
